Skip to main content
GET
ListCatalog

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Query Parameters

page_size
integer<int32>

Page size (max 100).

page_token
string

Page token for pagination.

query
string

Optional text query to filter catalog entries by display name.

Response

200 - application/json

MCPServerServiceListCatalogResponse returns a paginated list of catalog entries.

MCPServerServiceListCatalogResponse returns a paginated list of catalog entries.

list
Mcp Server Catalog Entry · object[] | null

List of catalog entries.

nextPageToken
string

Token for next page.